Start proving a Solana wallet by transfer
POST
/solana/transfer-proofs
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.ethos.network/api/v2/solana/transfer-proofs"), Headers = { { "X-Ethos-Api-Key", "<X-Ethos-Api-Key>" }, }, Content = new StringContent("{ \"newWallet\": true }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/solana/transfer-proofs"
payload := strings.NewReader("{ \"newWallet\": true }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Ethos-Api-Key", "<X-Ethos-Api-Key>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"newWallet\": true }");Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/solana/transfer-proofs") .post(body) .addHeader("X-Ethos-Api-Key", "<X-Ethos-Api-Key>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.ethos.network/api/v2/solana/transfer-proofs', headers: {'X-Ethos-Api-Key': '<X-Ethos-Api-Key>', 'Content-Type': 'application/json'}, data: {newWallet: true}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/solana/transfer-proofs';const options = { method: 'POST', headers: {'X-Ethos-Api-Key': '<X-Ethos-Api-Key>', 'Content-Type': 'application/json'}, body: '{"newWallet":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/solana/transfer-proofs";
let payload = json!({"newWallet": true});
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("X-Ethos-Api-Key", "<X-Ethos-Api-Key>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.ethos.network/api/v2/solana/transfer-proofs \ --header 'Content-Type: application/json' \ --header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>' \ --data '{ "newWallet": true }'wget --quiet \ --method POST \ --header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>' \ --header 'Content-Type: application/json' \ --body-data '{ "newWallet": true }' \ --output-document \ - https://api.ethos.network/api/v2/solana/transfer-proofsReturns the address and exact lamport amount to send from the wallet being proven, or the profile’s open request, or a recently verified one that isn’t attested yet.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
newWallet
boolean
Example generated
{ "newWallet": true}Responses
Section titled “Responses”Successful response
Invalid input data
Media typeapplication/json
Invalid input data error (400)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Authorization not provided
Media typeapplication/json
Authorization not provided error (401)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "UNAUTHORIZED", "message": "Authorization not provided", "issues": []}Insufficient access
Media typeapplication/json
Insufficient access error (403)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "FORBIDDEN", "message": "Insufficient access", "issues": []}Internal server error
Media typeapplication/json
Internal server error error (500)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}